<div id="toasts" class="toast-container position-fixed bottom-0 end-0 p-3">
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/tocbot/4.11.1/tocbot.min.js" defer crossorigin="anonymous"></script>

{{ $customJS := resources.Get "js/custom.js" | js.Build }}
{{ if not hugo.IsProduction }}
<script src="{{ $customJS.RelPermalink }}" defer></script>
{{ else }}
{{ $customJS := $customJS | minify | fingerprint }}
<script src="{{ $customJS.RelPermalink }}" integrity="{{ $customJS.Data.Integrity }}" crossorigin="anonymous" defer></script>
{{ end }}

{{/* The following is for the internal handbook */}}
{{ if eq .Site.BaseURL "https://internal.gitlab.com/" }}
{{ $internalJS := resources.Get "js/internal.js" | js.Build }}
{{ if not hugo.IsProduction }}
<script src="{{ $internalJS.RelPermalink }}" defer></script>
{{ else }}
{{ $internalJS := $internalJS | minify | fingerprint }}
<script src="{{ $internalJS.RelPermalink }}" integrity="{{ $internalJS.Data.Integrity }}" crossorigin="anonymous" defer></script>
{{ end }}
{{ end }}
{{ if .Page.Store.Get "hastableau" }}
{{ $tableauJS := resources.Get "js/tableau.js" | js.Build }}
{{ if not hugo.IsProduction }}
<script src="{{ $tableauJS.RelPermalink }}" defer></script>
{{ else }}
{{ $tableauJS := $tableauJS | minify | fingerprint }}
<script src="{{ $tableauJS.RelPermalink }}" integrity="{{ $tableauJS.Data.Integrity }}" crossorigin="anonymous" defer></script>
{{ end }}
{{ end }}

{{ with .Site.Params.search.algolia }}
<script src="https://cdn.jsdelivr.net/npm/@docsearch/js@3"></script>
<script>
    docsearch({
      container: '#docsearch',
      appId: '{{.appId}}',
      apiKey: '{{.apiKey}}',
      indexName: '{{.indexName}}',
      insights: true
    });
</script>
{{ end }}

{{ if hugo.IsProduction -}}
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NJXWQL"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
{{ else -}}
<script>console.log('Non-production GTM');</script>
{{ end }}
